package org.diagbot.common.push.bean;

import org.diagbot.common.push.bean.neo4j.Filnlly;
import org.diagbot.common.push.bean.neo4j.MedicalIndication;

import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 * Created by fyeman on 2018/2/2.
 */
public class ResponseData {
    private String participleSymptom = "";

    private List<FeatureRate> symptom = new ArrayList<>(10);
    private List<FeatureRate> vitals = new ArrayList<>(10);
    private List<FeatureRate> dis = new ArrayList<>(10);
    private List<FeatureRate> labs = new ArrayList<>(10);
    private List<FeatureRate> pacs = new ArrayList<>(10);
    private List<FeatureRate> history = new ArrayList<>(10);

    private List<FeatureRate> beforeCombineDis = new ArrayList<>(10);

    private Map<String, Filnlly> treat = new HashMap<>();
    private List<FeatureRate> graphWords = new ArrayList<>(10);
    private List<MedicalIndication> medicalIndications;//量表和指标推送
//    private Map<String,JSONObject> managementEvaluation; //管理评估
    private Map managementEvaluation;
    private List<String> diffDiag;//鉴别诊断
    private List<String> excludeDiag; //排除诊断

    private Map<String, List<CrisisDetail>> crisisDetails = new HashMap<>();

    public List<String> getDiffDiag() {
        return diffDiag;
    }

    public void setDiffDiag(List<String> diffDiag) {
        this.diffDiag = diffDiag;
    }

    public List<String> getExcludeDiag() {
        return excludeDiag;
    }

    public void setExcludeDiag(List<String> excludeDiag) {
        this.excludeDiag = excludeDiag;
    }

    public Map getManagementEvaluation() {
        return managementEvaluation;
    }

    public void setManagementEvaluation(Map managementEvaluation) {
        this.managementEvaluation = managementEvaluation;
    }

    //    public Map<String, JSONObject> getManagementEvaluation() {
//        return managementEvaluation;
//    }
//
//    public void setManagementEvaluation(Map<String, JSONObject> managementEvaluation) {
//        this.managementEvaluation = managementEvaluation;
//    }

    public List<MedicalIndication> getMedicalIndications() {
        return medicalIndications;
    }

    public void setMedicalIndications(List<MedicalIndication> medicalIndications) {
        this.medicalIndications = medicalIndications;
    }

    public List<FeatureRate> getGraphWords() {
        return graphWords;
    }

    public void setGraphWords(List<FeatureRate> graphWords) {
        this.graphWords = graphWords;
    }

    private Map<String, Map<String, String>> inputs = new HashMap<>(10,0.5f);

    public String getParticipleSymptom() {
        return participleSymptom;
    }

    public void setParticipleSymptom(String participleSymptom) {
        this.participleSymptom = participleSymptom;
    }

    public List<FeatureRate> getSymptom() {
        return symptom;
    }

    public void setSymptom(List<FeatureRate> symptom) {
        this.symptom = symptom;
    }

    public List<FeatureRate> getVitals() {
        return vitals;
    }

    public void setVitals(List<FeatureRate> vitals) {
        this.vitals = vitals;
    }

    public List<FeatureRate> getDis() {
        return dis;
    }

    public void setDis(List<FeatureRate> dis) {
        this.dis = dis;
    }

    public List<FeatureRate> getLabs() {
        return labs;
    }

    public void setLabs(List<FeatureRate> labs) {
        this.labs = labs;
    }

    public List<FeatureRate> getPacs() {
        return pacs;
    }

    public void setPacs(List<FeatureRate> pacs) {
        this.pacs = pacs;
    }

    public Map<String, Map<String, String>> getInputs() {
        return inputs;
    }

    public void setInputs(Map<String, Map<String, String>> inputs) {
        this.inputs = inputs;
    }

    public Map<String, Filnlly> getTreat() {
        return treat;
    }

    public void setTreat(Map<String, Filnlly> treat) {
        this.treat = treat;
    }

    public List<FeatureRate> getHistory() {
        return history;
    }

    public void setHistory(List<FeatureRate> history) {
        this.history = history;
    }

    public List<FeatureRate> getBeforeCombineDis() {
        return beforeCombineDis;
    }

    public void setBeforeCombineDis(List<FeatureRate> beforeCombineDis) {
        this.beforeCombineDis = beforeCombineDis;
    }

    public Map<String, List<CrisisDetail>> getCrisisDetails() {
        return crisisDetails;
    }

    public void setCrisisDetails(Map<String, List<CrisisDetail>> crisisDetails) {
        this.crisisDetails = crisisDetails;
    }
}
